View Issue Details

IDProjectCategoryView StatusLast Update
0020842MMW 5Now Playingpublic2024-05-27 05:28
Reporterlowlander Assigned To 
PriorityurgentSeverityminorReproducibilityrandom
Status feedbackResolutionreopened 
Product Version5.1 
Target Version5.1Fixed in Version5.1 
Summary0020842: Playing node can load in random order (no Shuffle enabled)
DescriptionThe Playing node, set to List can show files in random order while the Playing window shows the correct order, despite no Shuffle being enabled. This is not consistently reproducible, but has been seen multiple times over several recent releases.
Steps To Reproduce1 Switch from some other node (often CD) to Playing node in the Media Tree
--> Expect files to show in order (Playing window does), but instead get a randomized list
2 Wait
--> Playing automatically switched to correct order (other times I've navigated to another node and back to Playing to fix)
Additional InformationPossibly related: https://www.mediamonkey.com/forum/viewtopic.php?t=105984
TagsNo tags attached.
Fixed in build3021

Relationships

related to 0020923 closedmichal Edits to Playing [List view] fail to register in Playing list panel [regression] 

Activities

michal

2024-04-11 08:42

developer   ~0075084

Last edited: 2024-04-11 10:18

The problem can be reproduced rarely on large DB, large NP list and somehow overloaded PC. Repro steps then.
1) place few thousands of tracks to NP list
2) open Playing node, wait for load
3) go to different node, change contents of NP list (e.g. resort, randomize it, etc.)
4) go to Playing node - it displays old list with wrong order and later it refreshes it with new correct list

We need copy of the list in Playing node (so temporary resort correctly works then) and it can take some time to do it sometimes. Will try to improve it.

michal

2024-04-12 13:09

developer   ~0075088

Fixed in build 3015. I think I have finally found the original problem. It was related to Reverse list and Shuffle actions made before displaying the Playing node. In case you reproduce it again, please try to write what last actions with NP list did you do just before the problem. But I hope it will be ok now, I cannot reproduce it more.

lowlander

2024-04-19 18:02

developer   ~0075162

I do not use Shuffle, nor re-order Playing. I only add and remove Albums.

lowlander

2024-04-23 22:25

developer   ~0075229

I've not seen it in a while, but just saw it twice on 3015. The first it was briefly shown randomized, the second time it took longer to show in the correct order. New log in same place.

lowlander

2024-04-30 19:23

developer   ~0075318

Still see this on 3018.

michal

2024-05-15 08:14

developer   ~0075428

Hopefully fixed in build 3021. I have found most probable reason, it caused also 0020923.

rusty

2024-05-17 19:03

administrator   ~0075452

I'm unable to replicate in 3021.. Leaving for Lowlander to confirm/close.

lowlander

2024-05-27 05:28

developer   ~0075569

Just observed on 3024, in this case files were incorrectly sorted within their Album. It fixed itself quickly. New log added.